Summary: qmail-vida
Summary(ja): qmail-vida
Name: qmail-vida
Version: 0.53
Release: 0vl1
License: BSD License
Group: System Environment/Daemons
URL: http://qmail-vida.sourceforge.jp/
Source0: http://prdownloads.sourceforge.jp/qmail-vida/2100/qmail-vida-%{version}.tar.gz
Source1: http://cr.yp.to/software/qmail-1.03.tar.gz
Source2: http://cr.yp.to/checkpwd/checkpassword-0.90.tar.gz
Source3: http://cr.yp.to/ucspi-tcp/ucspi-tcp-0.88.tar.gz

Patch10: checkpassword-0.90.errno.patch
Patch11: checkpassword-0.90.install.patch

Patch100: qmail-vida-%{version}.install.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: qmail >= 1.03, checkpassword >= 0.90, ucspi-tcp >= 0.88

#Distribution: Vine Linux
#Vendor: Project Vine
Packager: NOGUCHI Shoji <noguchi@org3.net>

%description
A

%description -l ja
qmail-vida$B$O(BD. J. Bernstein$B;a$,:n@.$7$?(Bqmail$B%Q%C%1!<%8$H(Bcheckpassword$B%Q%C%1!<%8$K(BSMTP$BG'>Z$H(BAPOP$BBP1~$N(BPOP$BG'>Z$rDI2C$7!"%P!<%A%c%k%I%a%$%s$H2>A[%f!<%6$r4IM}$9$k$?$a$N%W%m%0%i%`$rDs6!$9$k%Q%C%1!<%8$G$9!#(B

%prep
%setup -q -a 1 -a 2 -a 3

pushd checkpassword-0.90
%patch10 -p1
%patch11 -p1
popd

%patch100 -p1
%__make patch
%__make copy

cd src/vida
echo %__cc $RPM_OPT_FLAGS > conf-cc
echo %__cc -s $RPM_OPT_FLAGS > conf-ld
echo %{_var}/qmail > conf-qmailhome
echo %{_usr} > conf-home

%__rm -f *.orig *~

%build
pushd src/vida
%__make
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
%__mkdir_p $RPM_BUILD_ROOT%{_var}
%__mkdir_p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%__mkdir_p $RPM_BUILD_ROOT%{_mandir}/

pushd src/vida

%__cat hier.c | \
  %__grep "^  [cdhpz](" | \
  %__grep -v "mode" | \
  %__sed -e "s/^  \([cdhpz]\)(\(.*\));/\1,\2/" | \
  %__sed -e "s/[\"]//g" | \
  %__awk -F "," '{ \
    if($1 == "c") \
    { print "%attr(" $7 "," $5 "," $6 ") " $2 "/" $3 "/" $4 } \
  }' | \
  %__sed -e "s!auto_home!%{_usr}!" \
         -e "s!auto_uidq!qmail!g" \
         -e "s!auto_uidad!authdb!g" \
         -e "s!auto_gidvida!vida!g" \
         -e "s!-1!root!g" \
  > ../../qmail-vida-%{version}.files

echo $RPM_BUILD_ROOT%{_var}/qmail > conf-qmailhome
echo $RPM_BUILD_ROOT%{_usr} > conf-home
%__rm auto_*.o install instcheck
%__make install instcheck

./install
./instcheck

popd

%clean
%__rm -rf $RPM_BUILD_ROOT


%files -f qmail-vida-%{version}.files
%doc doc/*
